<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */
$redir_login = "/app/berogui/includes/login.php";
@session_start();
if(!isset($_SESSION['beroari_time']) || ((isset($_SESSION['beroari_time']))&&(($_SESSION['beroari_time']+1200)<time()))){
	setcookie(session_name(), '', time() - 42000,"/");
	session_unset();
	session_destroy();
	header("Location:" . $redir_login . "?reason=sess_expd&m=acl");
	exit();
}
$_SESSION['beroari_time'] = time();
chdir("..");

include "./includes/variables.php";
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');


?>


<script type="text/javascript">
    $("#acll").validate({
                    
        rules: {
                        
            address: { 
                checkHostname : true, 
                required: true
            },
            netmask: {
                required:true,
                digits: true,
                range: [0,32],
            },
            manual_dest_port: {
                required:{
                    depends: function(element) {
                        return $("#dest_port option:selected").val()=="manual";
                    }
                },
                digits: true,
                range:[1,65535],
            },
        }
    }); 
    
    function hide_elements(){
        if ($('#dest_port').val()==="manual")
            $('#manual_dest_port').show();
        else
            $('#manual_dest_port').hide();
    }
                
</script>
<?php

function protocol($id){
    $allProtocol=array(""=>"All","udp"=>"UDP","tcp"=>"TCP");
    if ($id!="") $protocol=  getValue ($id, "protocol");
    $result="<select name='protocol'>";
    foreach ($allProtocol as $key=>$value){
        ($key===$protocol) ? $selected="selected='true'" : $selected="";
        $result.="<option value='$key' $selected>$value</option>";
    }
    $result.="</select>";
    return $result;
}
function dest_port($id){
    $port=array(-1=>"SIP",-2=>"SIP-TLS",80=>"HTTP",443=>"HTTPS",54322=>"Telnet",22=>"SSH",161=>"SNMP",162=>"SNMP-Trap",65001=>"bfdetect","all" => "All");
    if ($id!="") {
        $dest_port=  getValue ($id, "dest_port");
        if (!array_key_exists($dest_port, $port)){
            $manual="selected='true'";
            $manual_port=$dest_port;
        }
    }
    $result="<select name='dest_port' id='dest_port' onchange='hide_elements();'>";
    foreach ($port as $key=>$value){
        ($key==$dest_port) ? $selected="selected='true'" : $selected="";
        $result.="<option value='$key' $selected >$value</option>";
    }
    $result.="<option value='manual' $manual>Manual</option>";
    
    $result.="<input name='manual_dest_port' id='manual_dest_port' value='$manual_port'>";
    $result.="</select>";
    return $result;
}
function acl_rule($id){
    $address= getValue ($id, "address");
    $netmask= getValue ($id, "netmask");
    $result="<input type='text' name='address' value='$address' size='15' />&nbsp;/&nbsp;<input type='text' name='netmask' value='$netmask'size='2' />"; 
    return $result;
}
function getValue($id,$colname){
    $ba=new beroAri();
    $query=$ba->select("select $colname from acl where id='$id'");
    return sqlite_fetch_single($query);
}
require_once "./includes/isgwtelnet.php";

echo ("<form class='extensions_form' name='acll' id='acll' action='misc/acl_submit.php' method='POST'>
                        <input type=hidden name='start' value='" . $page . "'>
			<table class='contenttoc'>
			<tr>
			<td><b>" . ACL_PROTOCOL_DIS . ":</b>&nbsp;</td>
			<td>".protocol($_GET['id'])."</td>
			</tr>
			<tr>
			<td><b>" . ACL_DEST_PORT_DIS . ":</b>&nbsp;</td>
			<td>".dest_port($_GET['id'])."</td>
			</tr>
			<tr>
			<td><b>" . ACL_ACL_RULE_DIS . ":</b>&nbsp;</td>
			<td>".acl_rule($_GET['id'])."</td>
			</tr>
			</table>");

echo ("<br/>
			<input type='hidden' name='id_upd' value='" . $_GET['id'] . "'>
			<div class='center'><input name='submit' type='submit' value='" . BUTTON_SAVE . "' onmouseover=\"Tip('" . ANALOG_SAVE . "');\" onmouseout='UnTip();'>
			 &nbsp;&nbsp;<input name='close' type='button' value='" . BUTTON_CLOSE . "' onclick='javascript:$(\"#dialog\").dialog(\"close\");' onmouseover=\"Tip('" . POPUPS_BUTTON_CLOSE . "');\" onmouseout='UnTip();'>
			</div></form>");


?>


